import { GeneralService } from '../share/generalservice.js'

export class ProjectSearchService {

  constructor() {
    this.generalService = new GeneralService()
  }

  async getProjectSearch(database, column, condition) {
    const sql = `
      SELECT 
       ${column}
      FROM ${database}.prjmst
      WHERE 1=1
      `
    const params = []
    const result = await this.generalService.executeQueryConditions(database, sql, condition);
    return result
  }
}

//  bdgseq,
//         bdgnam,
//         bdgcod,
//         bdgttl,
//         bdgedtdtm